curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"stats": [
{
"in_progress_tasks": 2,
"name": "Escalations",
"oldest_task_age_secs": 7200,
"open_tasks": 4,
"overdue_tasks": 1,
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"total_tasks": 6,
"unassigned_tasks": 3
}
]
}
List Operator Queue Stats
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
GET
/
api
/
v1
/
operator-queues
/
stats
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"stats": [
{
"in_progress_tasks": 2,
"name": "Escalations",
"oldest_task_age_secs": 7200,
"open_tasks": 4,
"overdue_tasks": 1,
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"total_tasks": 6,
"unassigned_tasks": 3
}
]
}
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
Response
object
boolean
required
string
required
Tenant id the listing is scoped to
integer
required
Number of queue stat rows in this response
OperatorQueueStats[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Operator queue statistics |
401 | Unauthorized |
500 | Internal server error |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"stats": [
{
"in_progress_tasks": 2,
"name": "Escalations",
"oldest_task_age_secs": 7200,
"open_tasks": 4,
"overdue_tasks": 1,
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"total_tasks": 6,
"unassigned_tasks": 3
}
]
}
Last modified on August 31, 2026